<?php
/**
 * M-Pesa Payment Module - Hook Handling
 * Author: NESTICT INFOTECH
 * Version: 1.0.0
 */

class ActionsMpesapay
{
    /**
     * Execute hooks for payment and invoice card
     *
     * @param array $parameters Hook parameters
     * @param object $object Current object (invoice or payment)
     * @param string $action Current action
     * @param object $hookmanager Hook manager
     * @return int
     */
    function formObjectOptions($parameters, $object, $action, $hookmanager)
    {
        global $langs, $db;

        if ($parameters['currentcontext'] === 'invoicecard' && $object->statut == 1) {
            $module = new modMpesapay($db);
            $paymentUrl = $module->generatePaymentUrl($object->id);

            echo '<div class="mpesapay-payment">';
            echo '<a href="' . $paymentUrl . '" class="button">Pay with M-Pesa</a>';
            echo '</div>';
        }

        return 0;
    }

    /**
     * Add a payment button on payment card
     *
     * @param array $parameters Hook parameters
     * @param object $object Current object (invoice or payment)
     * @param string $action Current action
     * @param object $hookmanager Hook manager
     * @return int
     */
    function formAddObjectLine($parameters, $object, $action, $hookmanager)
    {
        global $langs, $db;

        if ($parameters['currentcontext'] === 'payment' && $object->statut == 0) {
            echo '<div class="mpesapay-payment">';
            echo '<label>M-Pesa Payment:</label>';
            echo '<input type="text" name="mpesapay_transaction_id" placeholder="Transaction ID">';
            echo '</div>';
        }

        return 0;
    }
}
?>
